///*** Shader edited by. V!0 :)***/// 

textures/green_acid/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/green_acid/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water

}

textures/green_acid/hallow
{
	qer_editorimage "textures/green_acid/hallow.jpg"
      qer_trans 0.5
      surfaceparm nodraw
      surfaceparm nolightmap
      surfaceparm nomarks
      surfaceparm nonsolid
	{
		map "textures/green_acid/hallow.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/green_acid/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/green_acid/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/green_acid/sky
{
	qer_editorimage env/acid_sky/sky02_up.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_backSplash 0 0
	q3map_surfacelight 1000
	q3map_sunExt 0.7 1 1 255 0 90 15 32

	skyparms env/acid_sky/sky02 - -
}

textures/green_acid/light_round
{
qer_editorimage textures/green_acid/light_round.tga
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nonsolid
	q3map_surfacelight 9000
	q3map_lightsubdivide 16
	q3map_lightimage textures/green_acid/color.tga

	{
		map textures/green_acid/light_round.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
	map textures/green_acid/light_round_shine.tga
		rgbGen wave noise 0.5 0.1 0.5 0.8
		blendfunc GL_ONE GL_ONE
	}
}

textures/green_acid/light_1
{
	qer_editorimage textures/green_acid/light_1.tga
	surfaceparm nomarks
     surfaceparm nonsolid
	q3map_surfacelight 5000
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/green_acid/light_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/green_acid/light_1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/green_acid/lampa
{
	qer_editorimage textures/green_acid/lampa.tga
	surfaceparm nomarks
     surfaceparm nonsolid
	q3map_surfacelight 9000
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/green_acid/lampa.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/green_acid/lampa_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/green_acid/t_wall
{
	qer_editorimage textures/green_acid/t_wall.tga
	surfaceparm nomarks
     surfaceparm nonsolid
	q3map_surfacelight 5000
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/green_acid/t_wall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/green_acid/t_wall_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/green_acid/acid_1
	{
qer_editorimage textures/green_acid/acid_1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 100
		q3map_lightrgb .3 .95 .3	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/green_acid/acid_2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/green_acid/acid_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}
		{ 
			map textures/green_acid/acid_4.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
		{
			map $lightmap
			blendfunc gl_dst_color gl_src_color
			rgbgen identity		
		}

}

textures/green_acid/support2
{
	surfaceparm	metalsteps	
	surfaceparm nodamage
	surfaceparm slick
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	//surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/green_acid/support2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/green_acid/schela1
{
	surfaceparm	metalsteps	
	surfaceparm nodamage
	surfaceparm slick
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	//surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/green_acid/schela1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/green_acid/schela2
{
	surfaceparm	metalsteps	
	surfaceparm nodamage
	surfaceparm slick
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	//surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/green_acid/schela2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/green_acid/urtj
{
        qer_editorimage textures/green_acid/urtj.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/green_acid/urtj.tga
                blendfunc filter
        }
}

textures/green_acid/rmt
{
        qer_editorimage textures/green_acid/rmt.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/green_acid/rmt.tga
                blendfunc filter
        }
}

textures/green_acid/ceil1
{
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/green_acid/ceil_red_blend.jpg
	qer_editorimage textures/green_acid/ceil.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/green_acid/ceil.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/green_acid/ceil_red_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/green_acid/ceil2
{
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/green_acid/ceil_blue_blend.jpg
	qer_editorimage textures/green_acid/ceil.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/green_acid/ceil.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/green_acid/ceil_blue_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/green_acid/beam_white
{
	q3map_baseshader textures/green_acid/beam_white
 	cull disable
 	cull none
	surfaceparm	nonsolid
	{
		map textures/green_acid/beam_white.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/green_acid/beam_blue
{
	q3map_baseshader textures/green_acid/beam_blue
 	cull disable
 	cull none
	surfaceparm	nonsolid
	{
		map textures/green_acid/beam_blue.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/green_acid/beam_red
{
	q3map_baseshader textures/green_acid/beam_red
 	cull disable
 	cull none
	surfaceparm	nonsolid
	{
		map textures/green_acid/beam_red.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/green_acid/base_flat_dark
{
	qer_editorimage "textures/green_acid/base_flat_dark.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/base_flat_dark.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/base_flat_med
{
	qer_editorimage "textures/green_acid/base_flat_med.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/base_flat_med.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/cement_1_clean
{
	qer_editorimage "textures/green_acid/cement_1_clean.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/cement_1_clean.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/cement_1_gunky
{
	qer_editorimage "textures/green_acid/cement_1_gunky.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/cement_1_gunky.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/cement_2
{
	qer_editorimage "textures/green_acid/cement_2.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/cement_2.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/cement_2_yellow
{
	qer_editorimage "textures/green_acid/cement_2_yellow.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/cement_2_yellow.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/cement_tiled
{
	qer_editorimage "textures/green_acid/cement_tiled.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/cement_tiled.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/cement_tiled_yellow
{
qer_editorimage "textures/green_acid/cement_tiled_yellow.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/cement_tiled_yellow.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/floor1
{
	qer_editorimage "textures/green_acid/floor1.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/floor1.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/floor2
{
	qer_editorimage "textures/green_acid/floor2.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/floor2.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/meta
{
	qer_editorimage "textures/green_acid/meta.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/meta.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/meta1
{
	qer_editorimage "textures/green_acid/meta1.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/meta1.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/green_acid/tint_0.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/green_acid/meta2
{
qer_editorimage "textures/green_acid/meta2.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/meta2.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/green_acid/tint_0.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/green_acid/metal_floor
{
qer_editorimage "textures/green_acid/metal_floor.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/metal_floor.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/metalwall02_d
{
	qer_editorimage "textures/green_acid/metalwall02_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/metalwall02_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/taspir_rock
{
	qer_editorimage "textures/green_acid/taspir_rock.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/taspir_rock.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/mtl_bigplate_04_d
{
qer_editorimage "textures/green_acid/mtl_bigplate_04_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/mtl_bigplate_04_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/q2_01e_d
{
qer_editorimage "textures/green_acid/q2_01e_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/q2_01e_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/trim_baseboard_d
{
qer_editorimage "textures/green_acid/trim_baseboard_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/trim_baseboard_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/trim_vert_01_d
{
qer_editorimage "textures/green_acid/trim_vert_01_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/trim_vert_01_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/wall_01_d
{
qer_editorimage "textures/green_acid/wall_01_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/wall_01_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/wall_bigrib_02_d
{
qer_editorimage "textures/green_acid/wall_bigrib_02_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/wall_bigrib_02_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/wall_pipe_d
{
qer_editorimage "textures/green_acid/wall_pipe_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/wall_pipe_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/flat_dk
{
	qer_editorimage "textures/green_acid/flat_dk.tga"
	//surfaceparm nodamage
     surfaceparm nonsolid
	//surfaceparm slick
	{
		map "textures/green_acid/flat_dk.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/green_acid/tint_0.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/green_acid/flat_lt
{
	qer_editorimage "textures/green_acid/flat_lt.tga"
	surfaceparm nodamage
     surfaceparm nonsolid
	surfaceparm slick
	{
		map "textures/green_acid/flat_lt.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/green_acid/tint_0.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/green_acid/floor_mtl_wrn_01_d
{
qer_editorimage "textures/green_acid/floor_mtl_wrn_01_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/floor_mtl_wrn_01_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/green_acid/tint_0.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/green_acid/floor_tread_01_d
{
qer_editorimage "textures/green_acid/floor_tread_01_d.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/floor_tread_01_d.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/floorgrate
{
	qer_editorimage textures/green_acid/floorgrate.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	//surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
	q3map_shadeangle 180
	q3map_nonplanar
	cull disable
	//q3map_lightmapaxis z
	//q3map_tcgen ivector ( 142 0 0 ) ( 0 142 0 )
	{
		map textures/green_acid/floorgrate.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
		depthFunc equal
	}
}

textures/green_acid/jumpie1a
{
	qer_editorimage textures/green_acid/jumpie1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/green_acid/jumpie1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/green_acid/fan2
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		clampmap textures/green_acid/fan2.tga
		tcMod rotate 512 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/green_acid/trimlight4
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/green_acid/trimlight4_blend.jpg
	qer_editorimage textures/green_acid/trimlight4.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/green_acid/trimlight4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/green_acid/trimlight4_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/green_acid/con01
{
	qer_editorimage "textures/green_acid/con01.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/con01.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/con02
{
	qer_editorimage "textures/green_acid/con02.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/con02.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/con03
{
	qer_editorimage "textures/green_acid/con03.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/con03.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/con04
{
	qer_editorimage "textures/green_acid/con04.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/con04.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/con05
{
	qer_editorimage "textures/green_acid/con05.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/con05.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/con06
{
	qer_editorimage "textures/green_acid/con06.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/con06.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/rock_wall
{
	qer_editorimage "textures/green_acid/rock_wall.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/rock_wall.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/floor_sand
{
	qer_editorimage "textures/green_acid/floor_sand.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/floor_sand.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/cave_ground
{
	qer_editorimage "textures/green_acid/cave_ground.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/cave_ground.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/cristal
{
	surfaceparm nolightmap
	//surfaceparm solid
     surfaceparm nonsolid
	surfaceparm nodamage
     q3map_surfacelight 2000
	cull disable
	{
		map textures/green_acid/cristal.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/green_acid/base_yellow
{
	qer_editorimage "textures/green_acid/base_yellow.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/base_yellow.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/green_acid/base_yellow_nonsolide
{
	qer_editorimage "textures/green_acid/base_yellow_nonsolide.jpg"
     surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/green_acid/base_yellow_nonsolide.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/green_acid/wj
{
	qer_editorimage "textures/green_acid/wj.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/green_acid/wj.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/green_acid/Kill
{
      surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
	map textures/green_acid/Kill.tga
      blendfunc add
	rgbGen vertex
	}
}